aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--NEWS1
-rwxr-xr-xfind-provides.in7
2 files changed, 6 insertions, 2 deletions
diff --git a/NEWS b/NEWS
index f0d755f..a084719 100644
--- a/NEWS
+++ b/NEWS
@@ -1,3 +1,4 @@
+- Handle better osgi.prov by only looking at the wanted files ( remove error at rpm building
- Handle better maven.prov by only looking at the wanted files ( remove error at rpm building )
- Add support for osgi and maven provide
- Use upstream desktop-file.prov as we had exactly the same file
diff --git a/find-provides.in b/find-provides.in
index a52a234..be99d57 100755
--- a/find-provides.in
+++ b/find-provides.in
@@ -11,6 +11,7 @@ pythonlist=
tcllist=
rubygemlist=$(echo "$filelist"| egrep "\.gemspec$")
mavenlist=$(echo "$filelist" |egrep '/usr/share/maven-poms/.*\.pom')
+osgilist=$(echo "$filelist" |egrep "^(.*\.jar|((/usr/lib(64)|/usr/share).*/MANIFEST.MF))")
#
# --- Alpha does not mark 64bit dependencies
@@ -147,8 +148,10 @@ fi
#
# --- osgi provides
if [ -x @RPMLIBDIR@/osgi.prov ];then
- echo $filelist | tr '[:blank:]' '\n' | @RPMLIBDIR@/osgi.prov \
- && test ${PIPESTATUS[2]} -ne 0 && echo 'error: @RPMLIBDIR@/osgi.prov failed' >&2 && exit 1
+ if [ ! -z $osgilist ]; then
+ echo $osgilist | tr '[:blank:]' '\n' | @RPMLIBDIR@/osgi.prov \
+ && test ${PIPESTATUS[2]} -ne 0 && echo 'error: @RPMLIBDIR@/osgi.prov failed' >&2 && exit 1
+ fi
fi
#